package com.malk.diwei.mapper;

import com.malk.diwei.entity.Process;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author WZY
 * @since 2025-03-27
 */
@Mapper
public interface ProcessMapper extends BaseMapper<Process> {

    //查询加工单加工产品
    List<Map> selectProductById(Long processID);

    //查询加工单 横机/附件外发明细
    List<Map> selectProcessONDetailByCode(String processCode);

    //查询外发单外发明细
    List<Map> selectOutSideDetails(Long processID);

    List<Map> selectOnDetails(String processONDetailCode);

    List<Map> selectOnCardBarDetails(String processONDetailCode);

    Map selectOnBaseInfo(String processONDetailCode);

    List<Map> selectOnCardBarDetails2(String processONDetailCode);
}
